Howdy, Stranger!

It looks like you're new here. If you want to get involved, click one of these buttons!

Sign In with Facebook Sign In with Google Sign In with OpenID Sign In with Twitter
Support for Vanilla Forums Cloud product

In this Discussion

Follow Us


Low-Cal Vanilla

135

Comments

  • Sorry, write in my lang:
    Короче, здесь точно есть русские, чего я мучаюсь :) Ребята, скажите автору, пожалуйста, что модуль очень классный, но при его использовании не отображаются почтовые адреса в профиле, даже если ставишь галку "показывать". Я не сразу понял, из-за чего это. Отключил Low-Cal и все заработало.
    Скорей всего это происходит потому что Java-скрипты сжимаются в одну строку, и что-то там глючит.
    Если хотите ответить по-русски, то пишите шепотом лучше, а то некрасиво получится.
  • it´s so much faster - many, many thanks! monika
  • To show your gratitude, if you don't already have an account on IconBuffet*, go there and sign-up ;-) (if you are already on IconBuffet, add Lussomo in one of your list of favorite read).

    *IconBuffet is not associated with this forum, this extension or me.
  • Uploaded version 0.3.5.a of Low-Cal Vanilla.
  • 0.3.5.a is just an updated of the css files for Vanilla 1.1.3.
  • "To serve your compressed version of JavaScript files, you also need to copy .htaccess
    from LowCalVanilla/htaccess to the root folder of your forum"

    Well, adding this code:

    RewriteEngine on
    Options +FollowSymLinks -Multiviews
    RewriteCond %{SCRIPT_FILENAME} -f
    RewriteRule ^(.*\.css|.*\.js)$ extensions/LowCalVanilla/compressor.php?uri=$1 [QSA,L]


    Causes a problem for another script that uses js and css files, any thoughts how to fix this?
  • it shouldn't. The compressor look for a special version of the file, and if it can't find any, it will serve the original file.
    Can you give me the path to the file and describe the problem?

    You can try this:
    RewriteEngine on
    Options +FollowSymLinks -Multiviews
    RewriteCond %{SCRIPT_FILENAME} -f
    RewriteRule ^(themes/.*/[-_\.~a-zA-Z0-9]+\.css)$ extensions/LowCalVanilla/compressor.php?uri=$1 [QSA,L]
    RewriteRule ^(js/[-_\.~a-zA-Z0-9]+\.css)$ extensions/LowCalVanilla/compressor.php?uri=$1 [QSA,L]
    RewriteRule ^(js/[-_\.~a-zA-Z0-9]+\.js)$ extensions/LowCalVanilla/compressor.php?uri=$1 [QSA,L]
    RewriteRule ^(extensions/.*/[-_\.~a-zA-Z0-9]+\.css)$ extensions/LowCalVanilla/compressor.php?uri=$1 [QSA,L]
    RewriteRule ^(extensions/.*/[-_\.~a-zA-Z0-9]+\.js)$ extensions/LowCalVanilla/compressor.php?uri=$1 [QSA,L]
  • When I add the above code to the .htaccess file, these two files:

    http://www.ventswap.com/vschat/incl/blab.js
    http://www.ventswap.com/vschat/skin4-ventswap/style.css

    Are not accessible and the server returns 404.
  • Is /vschat in the Vanilla folder?

    You can try the directives I posted above.
  • Yep, the new .htaccess code works. Thanks!
  • Uploaded version 0.3.6 of Low-Cal Vanilla.
  • Uploaded version 0.3.6.a of Low-Cal Vanilla.
  • Uploaded version 0.4.0 of Low-Cal Vanilla.
  • Added a dynamic packer. Extension js script can be packed.

    More details about Low-Cal Vanilla
  • Uploaded version 0.4.1 of Low-Cal Vanilla.
  • Fix a bug in the CleanUp Control - Only clean-up if the extension is not loaded.
  • here what it looks like for global.js:...if(E){E.appendChild(A)}}}
    function PopMusicBox(Url){
    window.open(Url, "MusicBox", "toolbar=no,status=yes,location=no,menubar=no,resizable=yes,height=460,width=975,top=150,scrollbars=no");
    }


    Try disabling gzip ($Configuration['LOWCALVANILLA_GZIP_ALLOWED'] = '0';) to check if there is a problem with your compression.

    Also you could try LowCalVanilla 0.4.1 and your script to the packer dynamically (the result is cached):

    <?php
    /*
    Extension Name: MusicBox
    Extension Url: N/A
    Description: Add PopMusicBox js function.
    Version: 0.1.0
    Author: sjeeps
    Author Url: N/A
    */
    // Check the Low-Cal Vanilla is installed
    if (!empty($Configuration['LOWCALVANILLA_TOOLS_PATH'])) {
    // Include Low-Cal Vanilla.
    // Important: Use require_once or include_once to not load it again if it is already done.
    require_once($Configuration['LOWCALVANILLA_TOOLS_PATH']);

    // Add your script
    LowCalVanilla_AddScript($Context, $Head, 'extensions/MusicBox/pop-up.js');
    } else {
    $Head->AddScript('extensions/MusicBox/pop-up.js');
    }
  • LoCallVanilla 0.4.1 seems to work fine after adding the pop-up code to global.js and vanilla-packed.js.

    Thanks!
  • I just set-up a testing forum.

    Let me know which extension you would like me to try.
  • I will add - and adapt - some extensions and see how the YSlow Performance grade go.

    without Low-Cal Vanilla:
    - Performance Grade: F (58)

    With Low-Cal Vanilla enable, no extension:
    - Performance Grade: B (81).
  • Uploaded version 0.4.2 of Low-Cal Vanilla.
  • This may sound like a dumb Q, but should the folders in the zip overwrite the folders in main root of the forum? or just upload everything in the zip to the /extension/lowcal folder?

    The reason i ask is when i go to validate, i still get the same validation issues as discussed here.

    It doesn't seem as if the packer has changed.
  • You should put everything in the LowCalVanilla folder, And the 0.4.2 version should validate.
  • I thinkI know what has happened- the old vanilla packer fiels are still being called perhaps. I assue I will need to uninstall those files, and replace them with the oringal vanilla files where necessary.
  • Yep, to uninstall the packer extension you have to put back library/Framework/Framework.Control.Head.php and the appg/* files.
  • Yup, that did it. very nice indeed. Good on you Dinoboff.
  • I'm having an issue/clash with the "Notify" extension i.e. if I enable Low-Cal Vanilla, the Notify extension stops working. Anybody else experiencing the same?
  • @Phil01: " if I enable Low-Cal Vanilla, the Notify extension stops working. Anybody else experiencing the same? "

    Stop working? LOL. You mean it actually was working on your forum? I am yet to have this happen! Did your notify mod work 100%? or just the notify all hard code tweak?
Sign In or Register to comment.